Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf.crypto
Class AESCipher

    java.lang.Object
      com.lowagie.text.pdf.crypto.AESCipher

    public class AESCipher

extends Object

Creates an AES Cipher with CBC and padding PKCS5/7.

Author:
  Paulo Soares (psoares@consiste.pt)

Field Summary
`private PaddedBufferedBlockCipher` | `bp`

Constructor Summary
`AESCipher(boolean forEncryption, byte[] key, byte[] iv)` Creates a new instance of AESCipher

Method Summary
`byte[]` | `doFinal()`
`byte[]` | `update(byte[] inp, int inpOff, int inpLen)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bp

    private PaddedBufferedBlockCipher bp

Constructor Detail

### AESCipher

    public AESCipher(boolean forEncryption,
                     byte[] key,
                     byte[] iv)

  Creates a new instance of AESCipher

Method Detail

### update

    public byte[] update(byte[] inp,
                         int inpOff,
                         int inpLen)

### doFinal

    public byte[] doFinal()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD